org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryExecuteResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryExecuteResult

    public class OdbcQueryExecuteResult
    extends Object

SQL listener query execute result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteResult(long queryId, Collection<OdbcColumnMeta> columnsMeta)`

### Method Summary

Methods
`Collection<OdbcColumnMeta>` `getColumnsMetadata()`
`long` `queryId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteResult

    public OdbcQueryExecuteResult(long queryId,
                          Collection<OdbcColumnMeta> columnsMeta)

Parameters:
  `queryId` - Query ID.
  `columnsMeta` - Columns metadata.

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### getColumnsMetadata

    public Collection<OdbcColumnMeta> getColumnsMetadata()

Returns:
  Columns metadata.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017